Perform a voice conversation

RESPONSE PARAMETERS

KEYDESCRIPTION
trackingIdThe id of the conversation.
directionThe direction of the conversation (Inbound or Outbound).
fromThe sender id of the conversation.
toThe recipient of the conversation.
to.phoneA valid phone number (mobile or landline).
to.sipA valid SIP URI.
(ex [email protected]:55080)
to.viberA valid phone number with Viber App installed (e.g. 306971234567)
dialPlanUrlThe url that contains a combination of action verbs to be executed.
dialPlanA combination of action verbs to be executed.
dialPlan.verbsThe array of SAY, PLAY, DIAL and COLLECT verbs. Check here for possible values.
callbackDefines the notification callback information for the progress of Voice conversation.
callback.urlThe URL that will be called when an update occurs.
callback.strategyWhen the URL will be called. Two possible values: on every status change (OnChange) or when a final status arrives (OnCompletion).
hangupDelayThe time to wait for the call to be answered.
The default value is to wait for the network to terminate the call.
createdAtThe time the conversation was created.
maxDurationThe maximum duration.
machineDetectionIt is used to detect if the call is answered by human or machine and define the desired actions (in case of machine).
machineDetection.strategyThe strategy to follow when a machine has been detected. Possible values: "Hangup" (terminate the call) or "Continue" (give another dialplan to execute).
machineDetection.eventUrlThe URL that Routee will POST to when a machine is detected (only for "Continue" strategy). A valid dialplan is expected as response.
Body Params
to
object
required

The recipient of the call. The destination phone number. Format with a '+' and country code e.g., +3069485xxxxx (E.164 format). NOTE: limit 1 reqest per second

string
required

The sender id for the call. NOTICE: Alphanumeric sender is not supported by all networks (e.g. Greek networks). Check restrictions and features here: https://go.routee.net/#/management/restrictions-and-features.

dialPlan
object

A combination of action verbs to be executed. Can not be empty. Use either "dialPlanUrl" or "dialPlan".

string

The url which contains a combination of action verbs to be executed. Use either "dialPlanUrl" or "dialPlan".

callback
object

Defines the notification callback information for the progress of Voice conversation

int32
Defaults to 20

The time to wait for the call to be answered. Min value: 1. Max value: 60.

int32

Defines the maximum duration. Min value: 1

machineDetection
object

It is used to detect if the call is answered by human or machine and define the desired actions (in case of machine).

Headers
string
required
Defaults to application/json

application/json

string
required
Defaults to Bearer {access_token}

Bearer {access_token}

Response

Language
Request
Response
Choose an example:
application/json